com.ibm.openpages.api.service

## Interface ISolutionService

-     public interface ISolutionService

  Provides service for managing OpenPages Solutions. The service allows for viewing and registering new solutions in OpenPages. As well as associating solutions with an object model.
  Since:
    8.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ISolutionTypeDefinition>` | `addTypeDefinitionsToSolution(java.util.List<java.lang.String> typeDefinitionNames, Id solutionId)` Creates the associations between a solution and the list of typedefinitions.
    `ISolutionTypeDefinition` | `addTypeDefinitionToSolution(java.lang.String typeDefinitionName, Id solutionId)` Creates the association between a solution and a typedefinition.
    `ISolution` | `createSolution(ISolution solution)` Creates a solution object.
    `ISolutionLayout` | `createSolutionLayout(ISolutionLayout solutionLayout)` Creates a solution layout object.
    `void` | `deleteSolution(Id solutionId)` Deletes a solution object by Id.
    `void` | `deleteSolutionLayout(Id solutionLayoutId)` Deletes a solution layout object by Id.
    `ISolution` | `getSolution(Id id)` Retrieves a solution by Id.
    `ISolution` | `getSolution(java.lang.String name)` Retrieves a solution by name.
    `ISolution` | `getSolution(java.util.UUID uuid)` Retrieves a solution by uuid.
    `ISolutionFactory` | `getSolutionFactory()` Returns a new solution factory object.
    `ISolutionLayout` | `getSolutionLayout(Id solutionLayoutId)` Retrieves a solution layout by Id.
    `java.util.List<ISolutionLayout>` | `getSolutionLayouts(Id solutionId)` Returns all solution layouts for the specified solution id.
    `java.util.List<ISolution>` | `getSolutions()` Returns all solutions.
    `java.util.List<ISolutionTypeDefinition>` | `getSolutionTypeDefinitions(Id solutionId, ISolutionTypeDefinitionOptions options)` Retrieves all associations between a solution and typedefinitions.
    `void` | `removeTypeDefinitionToSolution(java.lang.String typeDefinitionName, Id solutionId)` Removes the association between a solution and a typedefinition.
    `ISolution` | `updateSolution(ISolution solution)` Updates a solution object.
    `ISolutionLayout` | `updateSolutionLayout(ISolutionLayout solution)` Updates a solution layout object.

- - ### Method Detail

    - #### getSolutionFactory

          ISolutionFactory getSolutionFactory()

      Returns a new solution factory object.
      Returns:

    - #### createSolution

          ISolution createSolution(ISolution solution)

      Creates a solution object.
      Parameters:
        `solution` -
      Returns:

    - #### updateSolution

          ISolution updateSolution(ISolution solution)

      Updates a solution object.
      Parameters:
        `solution` -
      Returns:

    - #### deleteSolution

          void deleteSolution(Id solutionId)

      Deletes a solution object by Id.
      Parameters:
        `id` -

    - #### getSolutions

          java.util.List<ISolution> getSolutions()

      Returns all solutions.
      Returns:

    - #### getSolution

          ISolution getSolution(Id id)

      Retrieves a solution by Id.
      Parameters:
        `id` -
      Returns:

    - #### getSolution

          ISolution getSolution(java.lang.String name)

      Retrieves a solution by name.
      Parameters:
        `name` -
      Returns:

    - #### getSolution

          ISolution getSolution(java.util.UUID uuid)

      Retrieves a solution by uuid.
      Parameters:
        `uuid` -
      Returns:

    - #### getSolutionTypeDefinitions

          java.util.List<ISolutionTypeDefinition> getSolutionTypeDefinitions(Id solutionId,
                                                                             ISolutionTypeDefinitionOptions options)

      Retrieves all associations between a solution and typedefinitions.
      Parameters:
        `solutionId` -
        `options` -
      Returns:

    - #### addTypeDefinitionToSolution

          ISolutionTypeDefinition addTypeDefinitionToSolution(java.lang.String typeDefinitionName,
                                                              Id solutionId)

      Creates the association between a solution and a typedefinition.
      Parameters:
        `typeDefinitionName` -
        `solutionId` -
      Returns:

    - #### addTypeDefinitionsToSolution

          java.util.List<ISolutionTypeDefinition> addTypeDefinitionsToSolution(java.util.List<java.lang.String> typeDefinitionNames,
                                                                               Id solutionId)

      Creates the associations between a solution and the list of typedefinitions.
      Parameters:
        `typeDefinitionNames` -
        `solutionId` -
      Returns:

    - #### removeTypeDefinitionToSolution

          void removeTypeDefinitionToSolution(java.lang.String typeDefinitionName,
                                              Id solutionId)

      Removes the association between a solution and a typedefinition.
      Parameters:
        `typeDefinitionName` -
        `solutionId` -

    - #### createSolutionLayout

          ISolutionLayout createSolutionLayout(ISolutionLayout solutionLayout)

      Creates a solution layout object.
      Parameters:
        `solutionLayout` -
      Returns:

    - #### updateSolutionLayout

          ISolutionLayout updateSolutionLayout(ISolutionLayout solution)

      Updates a solution layout object.
      Parameters:
        `solution` -
      Returns:

    - #### deleteSolutionLayout

          void deleteSolutionLayout(Id solutionLayoutId)

      Deletes a solution layout object by Id.
      Parameters:
        `id` -

    - #### getSolutionLayouts

          java.util.List<ISolutionLayout> getSolutionLayouts(Id solutionId)

      Returns all solution layouts for the specified solution id.
      Returns:

    - #### getSolutionLayout

          ISolutionLayout getSolutionLayout(Id solutionLayoutId)

      Retrieves a solution layout by Id.
      Parameters:
        `id` -
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.